<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PointerV5 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PointerV5 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PointerV5.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
               title="class in org.apache.poi.hdgf.pointers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/pointers/PointerV6.html"
               title="class in org.apache.poi.hdgf.pointers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/pointers/PointerV5.html" target="_top">Frames</a>
        </li>
        <li><a href="PointerV5.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hdgf.pointers</div>
    <h2 title="Class PointerV5" class="title">Class PointerV5</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                       title="class in org.apache.poi.hdgf.pointers">org.apache.poi.hdgf.pointers.Pointer</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hdgf.pointers.PointerV5</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PointerV5</span>
extends <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
           title="class in org.apache.poi.hdgf.pointers">Pointer</a></pre>
                <div class="block">A Pointer from v5</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#PointerV5--">PointerV5</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#destinationCompressed--">destinationCompressed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#destinationHasChunks--">destinationHasChunks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#destinationHasPointers--">destinationHasPointers</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#destinationHasStrings--">destinationHasStrings</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#getNumPointers-int-byte:A-">getNumPointers</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">16 bit int at the given offset</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#getNumPointersOffset-byte:A-">getNumPointersOffset</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">Depends on the type only, not stored</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#getPostNumPointersSkip--">getPostNumPointersSkip</a></span>()</code>
                                    <div class="block">Just the 2 bytes of the number of pointers</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/PointerV5.html#getSizeInBytes--">getSizeInBytes</a></span>()</code>
                                    <div class="block">With v6 pointers, the on-disk size is 16 bytes</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hdgf.pointers.Pointer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hdgf.pointers.<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a></h3>
                                <code><a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getAddress--">getAddress</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getFormat--">getFormat</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getLength--">getLength</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getOffset--">getOffset</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getType--">getType</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#isFormatBetween-int-int-">isFormatBetween</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#setAddress-int-">setAddress</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#setFormat-short-">setFormat</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#setLength-int-">setLength</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#setOffset-int-">setOffset</a>,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#setType-int-">setType</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PointerV5--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PointerV5</h4>
                                <pre>public&nbsp;PointerV5()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="destinationHasStrings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>destinationHasStrings</h4>
                                <pre>public&nbsp;boolean&nbsp;destinationHasStrings()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#destinationHasStrings--">destinationHasStrings</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="destinationHasPointers--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>destinationHasPointers</h4>
                                <pre>public&nbsp;boolean&nbsp;destinationHasPointers()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#destinationHasPointers--">destinationHasPointers</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="destinationHasChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>destinationHasChunks</h4>
                                <pre>public&nbsp;boolean&nbsp;destinationHasChunks()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#destinationHasChunks--">destinationHasChunks</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="destinationCompressed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>destinationCompressed</h4>
                                <pre>public&nbsp;boolean&nbsp;destinationCompressed()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#destinationCompressed--">destinationCompressed</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSizeInBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSizeInBytes</h4>
                                <pre>public&nbsp;int&nbsp;getSizeInBytes()</pre>
                                <div class="block">With v6 pointers, the on-disk size is 16 bytes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getSizeInBytes--">getSizeInBytes</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumPointersOffset-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumPointersOffset</h4>
                                <pre>public&nbsp;int&nbsp;getNumPointersOffset(byte[]&nbsp;data)</pre>
                                <div class="block">Depends on the type only, not stored</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getNumPointersOffset-byte:A-">getNumPointersOffset</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumPointers-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumPointers</h4>
                                <pre>public&nbsp;int&nbsp;getNumPointers(int&nbsp;offset,
                          byte[]&nbsp;data)</pre>
                                <div class="block">16 bit int at the given offset</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getNumPointers-int-byte:A-">getNumPointers</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPostNumPointersSkip--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPostNumPointersSkip</h4>
                                <pre>public&nbsp;int&nbsp;getPostNumPointersSkip()</pre>
                                <div class="block">Just the 2 bytes of the number of pointers</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html#getPostNumPointersSkip--">getPostNumPointersSkip</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PointerV5.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
               title="class in org.apache.poi.hdgf.pointers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/pointers/PointerV6.html"
               title="class in org.apache.poi.hdgf.pointers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/pointers/PointerV5.html" target="_top">Frames</a>
        </li>
        <li><a href="PointerV5.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
